JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinNT.HANDLEByReference

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.ptr.ByReference
              com.sun.jna.platform.win32.WinNT.HANDLEByReference

All Implemented Interfaces:
  NativeMapped

Enclosing interface:
  WinNT

    public static class WinNT.HANDLEByReference

extends ByReference

LPHANDLE

Constructor Summary
`WinNT.HANDLEByReference()`
`WinNT.HANDLEByReference(WinNT.HANDLE h)`

Method Summary
`WinNT.HANDLE` | `getValue()`
`void` | `setValue(WinNT.HANDLE h)`

Methods inherited from class com.sun.jna.PointerType
`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WinNT.HANDLEByReference

    public WinNT.HANDLEByReference()

### WinNT.HANDLEByReference

    public WinNT.HANDLEByReference(WinNT.HANDLE h)

Method Detail

### setValue

    public void setValue(WinNT.HANDLE h)

### getValue

    public WinNT.HANDLE getValue()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.